d-i with precise+hwe-s stops at "Architecture not supported"

Bug #1310082 reported by Nobuto Murata on 2014-04-19
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
MAAS
Critical
Julian Edwards
maas (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned

Bug Description

[Test Case]
1. Install MAAS
2. Add a node.
3. Select a Hardware Enablement Kernel. (Distro Series: Precise, Architecture: amd64/hwe-s)
4. Deploy will fail.

With the fix:
4. Deploy will succeed

After setting up hwe-s for precise along with the doc below, `juju add-machine` fails with "Architecture not supported" in d-i.
http://maas.ubuntu.com/docs1.5/hardware-enablement-kernels.html

From squid-deb-proxy log, d-i is trying to connect to:
http://ports.ubuntu.com/ubuntu-ports/dists/precise/main/binary-amd64/Release
then failed.

Fastpath-installer case was filed as Bug #1310076.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: maas 1.5+bzr2252-0ubuntu1
ProcVersionSignature: User Name 3.13.0-19.40-generic 3.13.6
Uname: Linux 3.13.0-19-generic x86_64
ApportVersion: 2.13.3-0ubuntu1
Architecture: amd64
Date: Sun Apr 20 05:23:48 2014
PackageArchitecture: all
SourcePackage: maas
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Nobuto Murata (nobuto) wrote :
Nobuto Murata (nobuto) wrote :
Nobuto Murata (nobuto) wrote :

After changing "/etc/maas/preseeds/curtin_userdata" to use default archive not ports.ubuntu.com for hwe-s, `juju add-machine` succeeded. However the kernel after reboot was 3.2 not hwe-s. Am I misunderstanding this hwe feature?

=== modified file 'maas/preseeds/generic'
--- maas/preseeds/generic 2014-04-19 18:37:53 +0000
+++ maas/preseeds/generic 2014-04-19 20:32:45 +0000
@@ -2,7 +2,7 @@

 {{def proxy}}
 d-i mirror/country string manual
-{{if node.architecture in {'i386/generic', 'amd64/generic'} }}
+{{if node.architecture in {'i386/generic', 'amd64/generic', 'amd64/hwe-s'} }}
 d-i mirror/http/hostname string {{main_archive_hostname}}
 d-i mirror/http/directory string {{main_archive_directory}}
 {{else}}

Nobuto Murata (nobuto) wrote :

From the log of d-i, the node booted up with 3.11(lts-saucy) then install 3.2 in in-target. 3.2 seems defined in /etc/maas/preseeds/preseed_master.
====
d-i base-installer/kernel/image string linux-server
====

Nobuto Murata (nobuto) wrote :

After changing linux-server to linux-generic-lts-saucy, 3.11(lts-saucy) was installed. base-installer/kernel/image needs to be set corresponding to the hwe value set by user, IMHO.

=== modified file 'maas/preseeds/preseed_master'
--- maas/preseeds/preseed_master 2014-04-19 18:37:53 +0000
+++ maas/preseeds/preseed_master 2014-04-19 20:53:14 +0000
@@ -41,7 +41,7 @@
 d-i partman/default_filesystem string ext4

 # Use server kernel
-d-i base-installer/kernel/image string linux-server
+d-i base-installer/kernel/image string linux-generic-lts-saucy

 # User Setup
 d-i passwd/root-login boolean false

Scott Moser (smoser) wrote :

I'd never tested this, but I thought that the 'saucy-netboot' entry kernel and initramfs at [1] would default to intstalling the linux-generic-lts-saucy.

Now, it still may, as we're explicitly asking in the preseed listed above to install the linux-server.

2 things are then possible:
a.) ew can just remove the kernel/image and let the installer initramfs pick its default (I hope)
b.) we may have to explicitly drive that in the preseed.

--
[1] http://archive.ubuntu.com/ubuntu/dists/precise-updates/main/installer-amd64/current/images/

Julian Edwards (julian-edwards) wrote :

To confirm, removing the directive lets d-i DTRT.

Changed in maas:
status: New → Triaged
importance: Undecided → Critical
Changed in maas:
assignee: nobody → Julian Edwards (julian-edwards)
status: Triaged → In Progress
Changed in maas:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maas - 1.5+bzr2267-0ubuntu1

---------------
maas (1.5+bzr2267-0ubuntu1) utopic; urgency=medium

  * New upstream bugfix release. Fixes:
    - Hardware Enablement for Cisco B-Series. (LP: #1300476)
    - Allow AMT power type to specify IP Address. (LP: #1308772)
    - Spurious failure when starting and creating lock files. (LP: 1308069)
    - Fix regression introduced by a security fix (LP: #1311433, LP: #1311433)
    - Fix usage of hardware enablement kernels by fixing the preseeds
      (LP: #1310082, LP: #1310076, LP: #1310082)
    - Fix parallel juju deployments. (LP: #1314409)
    - Clear distro_series when stopping node from WebUI (LP: #1316396)
    - Fix click hijacking (LP: #1298784)
    - Fix blocking API client when deleting a resource (LP: #1313556)
    - Do not import Trusty RC images by default (LP: #1311151)
 -- Andres Rodriguez <email address hidden> Tue, 15 Apr 2014 14:41:32 -0400

Changed in maas (Ubuntu):
status: New → Fix Released
description: updated
Changed in maas (Ubuntu):
status: Fix Released → Confirmed
description: updated
Changed in maas:
status: Fix Committed → Fix Released
Chris J Arges (arges) on 2014-05-09
Changed in maas (Ubuntu):
status: Confirmed → Fix Released

Hello Nobuto, or anyone else affected,

Accepted maas into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/maas/1.5.1+bzr2269-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in maas (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maas - 1.5.1+bzr2269-0ubuntu0.1

---------------
maas (1.5.1+bzr2269-0ubuntu0.1) trusty; urgency=medium

  * Stable Release Update (LP: #1317601):
    - Hardware Enablement for Cisco B-Series. (LP: #1300476)
    - Allow AMT power type to specify IP Address. (LP: #1308772)
    - Spurious failure when starting and creating lock files. (LP: 1308069)
    - Fix usage of hardware enablement kernels by fixing the preseeds
      (LP: #1310082, LP: #1310076, LP: #1310082)
    - Fix parallel juju deployments. (LP: #1314409)
    - Clear distro_series when stopping node from WebUI (LP: #1316396)
    - Fix click hijacking (LP: #1298784)
    - Fix blocking API client when deleting a resource (LP: #1313556)
    - Do not import Trusty RC images by default (LP: #1311151)
    - debian/control: Add missing dep on python-crochet for
      python-maas-provisioningserver (LP: #1311765)
 -- Andres Rodriguez <email address hidden> Fri, 09 May 2014 22:35:43 -0500

Changed in maas (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for maas has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Nobuto Murata (nobuto) wrote :

Hi, I apologize for late testing, I was off for a few weeks.

The original problem as I commented in #3 is not solved yet. The condition in preseed file is not suitable for hwe-{q,r,s,t}. It still uses ports.ubuntu.com for amd64/hwe-{q,r,s,t} and stops at ""Architecture not supported".
http://bazaar.launchpad.net/~maas-maintainers/maas/trunk/view/head:/contrib/preseeds_v2/generic#L5

Except that, other issues have been resolved. Thanks.

Changed in maas:
status: Fix Released → Confirmed
Changed in maas (Ubuntu):
status: Fix Released → Confirmed
Changed in maas (Ubuntu Trusty):
status: Fix Released → Confirmed

This patch to the preseed should fix it

=== modified file 'contrib/preseeds_v2/generic'
--- contrib/preseeds_v2/generic 2014-04-14 22:40:43 +0000
+++ contrib/preseeds_v2/generic 2014-07-04 00:21:11 +0000
@@ -2,7 +2,7 @@

 {{def proxy}}
 d-i mirror/country string manual
-{{if node.architecture in {'i386/generic', 'amd64/generic'} }}
+{{if node.split_arch()[0] in {'i386', 'amd64'} }}
 d-i mirror/http/hostname string {{main_archive_hostname}}
 d-i mirror/http/directory string {{main_archive_directory}}
 {{else}}

Changed in maas:
status: Confirmed → Triaged
milestone: none → 1.6.0
Changed in maas:
status: Triaged → In Progress
no longer affects: maas/1.5
Changed in maas:
status: In Progress → Fix Committed
Changed in maas:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers